package com.huawei.demo.api;

import com.huawei.demo.model.api.AllocateDeviceReq;
import com.huawei.demo.model.api.QueryDeviceBase;

import okhttp3.ResponseBody;
import retrofit2.Call;
import retrofit2.http.Body;
import retrofit2.http.Header;
import retrofit2.http.POST;
import retrofit2.http.Path;

public interface TdpApi {

    /**
     * 下载签名证书
     */
    @POST("/v5/iotps/{project_id}/devices/{device_id}/allocation")
    Call<QueryDeviceBase> allocateDevice(
        @Path("project_id") String projectId, @Path("device_id") String deviceId,
        @Header("X-Auth-Token") String xAuthToken,
        @Body AllocateDeviceReq req
    );
}
